
void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);

	switch(Dialog.CurrentNode)
	{
		case "First time":
			dialog.text = "Witaj w mojej stoczni. Czym mogę służyć?";
			link.l1 = "Chciałbym naprawić mój statek, a może nawet kupić nowy.";
			link.l1.go = "shipyard";
			link.l2 = "Niczym. Już wychodzę.";
			link.l2.go = "exit";

			NextDiag.TempNode = "First time";
		break;

		case "shipyard":
			CalculateShipForShipYard(npchar);

			DialogExit();
			LaunchShipyard(npchar);
		break;

		case "Exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;
	}
}
